### Method

# EDataServerUI4 WebDAVDiscoverContent get_selected

since: 3.18

#### Declaration [src]

    gboolean
    e_webdav_discover_content_get_selected (
      GtkWidget* content,
      gint index,
      gchar** out_href,
      guint* out_supports,
      gchar** out_display_name,
      gchar** out_color,
      guint* out_order
    )

#### Description [src]

Returns information about selected source at index `index`. The function can be called multiple times, with the index starting at zero and as long as it doesn’t return `FALSE`. If the `content` doesn’t have allowed multiselection, then the only valid `index` is 0.

All the `out_href`, `out_display_name` and `out_color` are newly allocated strings, which should be freed with g_free(), when no longer needed.

Available since: 3.18

#### Parameters

`index`

  Type: `gint`

  An index of the selected source; counts from 0.

`out_href`

  Type: `gchar**`

  An output location for the URL of the selected source.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_supports`

  Type: `guint*`

  An output location of a bit-or of `EWebDAVDiscoverSupports`, the set of source types this server source location supports.

  The argument will be set by the function.

`out_display_name`

  Type: `gchar**`

  An output location of the sources display name.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_color`

  Type: `gchar**`

  An output location of the string representation of the color for the source, as set on the server.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_order`

  Type: `guint*`

  An output location of the preferred sorting order.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE`, when a selected source of index `index` exists, `FALSE` otherwise.